<?php

namespace App\Http\Controllers;

use app\Http\Traits\ApiResponse;
use App\Models\Province;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class ProvinceController extends Controller
{
    use ApiResponse;

    public function list(): JsonResponse
    {
        return $this->successResponse(Province::all('id', 'name'));
    }
}
